[Git][java-team/umlet][debian/sid] 15 commits: Rewriting d/rules for dh, managing javacc outputs
Pierre Gruet (@pgt)
gitlab at salsa.debian.org
Thu Oct 31 06:00:16 GMT 2024
Pierre Gruet pushed to branch debian/sid at Debian Java Maintainers / umlet
Commits:
2a866e64 by Pierre Gruet at 2024-10-26T21:04:10+02:00
Rewriting d/rules for dh, managing javacc outputs
- - - - -
9f4f33f9 by Pierre Gruet at 2024-10-26T21:08:52+02:00
Removing code to manage jlibeps with the scope 'provided'
- - - - -
de69aaef by Pierre Gruet at 2024-10-26T21:09:32+02:00
Writing the manifest of the jars in the package
- - - - -
23358d9e by Pierre Gruet at 2024-10-26T21:09:51+02:00
Renaming the script to manage javacc output
- - - - -
e3b913af by Pierre Gruet at 2024-10-26T21:10:19+02:00
Updating the Maven packaging
- - - - -
1ac10fc5 by Pierre Gruet at 2024-10-26T21:10:50+02:00
Updating the list of files to install
- - - - -
87299e34 by Pierre Gruet at 2024-10-30T19:54:28+01:00
Providing a shell script to invoke the jar, instead of going through jarwrapper
- - - - -
871c8ca3 by Pierre Gruet at 2024-10-30T19:54:41+01:00
Updating doc-base file
- - - - -
f37e981e by Pierre Gruet at 2024-10-30T19:54:55+01:00
Adding a Lintian override for empty jar
- - - - -
ce8d3d63 by Pierre Gruet at 2024-10-30T19:55:24+01:00
Updating the classpaths of the built jars
- - - - -
e79b4266 by Pierre Gruet at 2024-10-30T19:55:38+01:00
Updating the .desktop file
- - - - -
c9f7f9f2 by Pierre Gruet at 2024-10-30T19:56:11+01:00
Removing obsolete patch
- - - - -
3e2b7d78 by Pierre Gruet at 2024-10-30T20:40:10+01:00
Filling in patch headers, forwarding them when needed
- - - - -
21a8f17f by Pierre Gruet at 2024-10-30T20:48:46+01:00
Updating changelog
- - - - -
904dcc36 by Pierre Gruet at 2024-10-30T20:49:07+01:00
Upload to unstable
- - - - -
21 changed files:
- + debian/after_javacc
- debian/changelog
- debian/control
- − debian/javaccClearer
- debian/maven.ignoreRules
- + debian/org/sourceforge/jlibeps/jlibeps/debian/jlibeps-debian.pom
- debian/patches/0001-fix-Paths-to-work-for-debian-change-config-dir-from-.patch
- − debian/patches/0002-modify-so-palettes-are-stored-within-HOME-.umlet-pal.patch
- debian/patches/javacc.patch
- debian/patches/javaparser3.patch
- − debian/patches/jlibeps_scope_provided.patch
- debian/patches/series
- debian/rules
- + debian/scripts/umlet
- debian/umlet.desktop
- + debian/umlet.doc-base
- debian/umlet.install
- − debian/umlet.links
- + debian/umlet.lintian-overrides
- debian/umlet.manifest
- debian/umlet.poms
Changes:
=====================================
debian/after_javacc
=====================================
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Removing unreachable statements which cause compilation errors, and then putting the generated classes in the source tree.
+# We do this only once: this does not have to happen during the test phase.
+if [ -e $PWD/target/generated-sources/annotations/com/baselet/element/facet/customdrawings/gen/CustomDrawingParser.java ]; then
+ for F in facet/customdrawings/gen/CustomDrawingParser.java sequence_aio/facet/specific/gen/SequenceAllInOneParser.java; do
+ sed -i '/Missing return statement in function/d' $PWD/target/generated-sources/annotations/com/baselet/element/$F;
+ done
+
+ cp -a $PWD/target/generated-sources/annotations/com/baselet/element/sequence_aio/facet/specific $PWD/src/main/java/com/baselet/element/sequence_aio/facet/
+ cp -a $PWD/target/generated-sources/annotations/com/baselet/element/facet/customdrawings/gen $PWD/src/main/java/com/baselet/element/facet/customdrawings/
+fi
=====================================
debian/changelog
=====================================
@@ -1,7 +1,29 @@
-umlet (15.1+ds-1) UNRELEASED; urgency=medium
+umlet (15.1+ds-1) unstable; urgency=medium
- [ Andreas Tille ]
* Team upload.
+ Closes: #1081593
+ * Updating build dependencies
+ * Building with Maven: filling in the list of pom.xml files and the Maven
+ rules
+ * Removing unreachable statements that are written by javacc at execution
+ * Patching source files to build with javaparser 3.x
+ * Rewriting d/rules for dh
+ * Handling the call to javacc with a specific script
+ * Providing pseudo-Maven artifacts for the build-dependency jlibeps
+ * Writing the manifest of the jars in the package
+ * Updating the list of files to install
+ * Providing a shell script to invoke the jar, instead of going through
+ jarwrapper
+ * Updating doc-base file
+ * Adding a Lintian override for empty jar
+ * Updating the classpaths of the built jars
+ * Updating the .desktop file
+ * Checking that conversion in batch mode works
+ Closes: #823634
+ * Checking the program exits normally when called with a file
+ Closes: #823635
+
+ [ Andreas Tille ]
* Maintain the package in Debian Java team
* New upstream version
Closes: #825264
@@ -23,18 +45,7 @@ umlet (15.1+ds-1) UNRELEASED; urgency=medium
* d/copyright: DEP5 to exclude windows exe and .git files which might
disrupt import
- [ Pierre Gruet ]
- * Updating build dependencies
- * Building with Maven: filling in the list of pom.xml files and the Maven
- rules
- * Removing unreachable statements that are written by javacc at execution
- * Putting the path to the jlibeps jar in pom.xml, as its Debian package has
- no Maven coordinates
- * Patching source files to build with javaparser 3.x
-
- TODO: fill in d/umlet.manifest and revise the d/umlet.install file
-
- -- Pierre Gruet <pgt at debian.org> Thu, 17 Oct 2024 08:53:42 +0200
+ -- Pierre Gruet <pgt at debian.org> Wed, 30 Oct 2024 20:48:57 +0100
umlet (13.3-1.3) unstable; urgency=medium
=====================================
debian/control
=====================================
@@ -39,8 +39,7 @@ Rules-Requires-Root: no
Package: umlet
Architecture: all
-Depends: default-jdk | java6-sdk,
- jarwrapper,
+Depends: default-jre,
${misc:Depends},
${java:Depends}
Description: simple, text driven UML drawing tool
=====================================
debian/javaccClearer deleted
=====================================
@@ -1,5 +0,0 @@
-#!/bin/sh
-
-for F in facet/customdrawings/gen/CustomDrawingParser.java sequence_aio/facet/specific/gen/SequenceAllInOneParser.java; do
- sed -i '/Missing return statement in function/d' $PWD/target/generated-sources/annotations/com/baselet/element/$F;
-done
=====================================
debian/maven.ignoreRules
=====================================
@@ -5,4 +5,5 @@ org.apache.maven.plugins maven-assembly-plugin * * * *
org.codehaus.mojo build-helper-maven-plugin * * * *
org.codehaus.mojo buildnumber-maven-plugin * * * *
org.eclipse.tycho tycho-maven-plugin * * * *
+org.reficio p2-maven-plugin * * * *
org.slf4j slf4j-reload4j * * * *
=====================================
debian/org/sourceforge/jlibeps/jlibeps/debian/jlibeps-debian.pom
=====================================
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.sourceforge.jlibeps</groupId>
+ <artifactId>jlibeps</artifactId>
+ <version>debian</version>
+ <packaging>jar</packaging><properties>
+
+ <debian.originalVersion>0.1</debian.originalVersion>
+
+ <debian.package>libjlibeps-java</debian.package>
+ </properties>
+
+ <name>jlibeps</name>
+ <description>Java library to create EPS images</description>
+</project>
\ No newline at end of file
=====================================
debian/patches/0001-fix-Paths-to-work-for-debian-change-config-dir-from-.patch
=====================================
@@ -2,6 +2,7 @@ From: Benjamin Mesing <bensmail at gmx.net>
Date: Sun, 2 Jun 2013 16:11:33 +0200
Subject: - fix Paths to work for debian,
change config dir from $Home/UMLet to $HOME/.umlet
+Forwarded: not-needed
---
Baselet/src/com/baselet/control/Main.java | 7 ++-----
=====================================
debian/patches/0002-modify-so-palettes-are-stored-within-HOME-.umlet-pal.patch deleted
=====================================
@@ -1,122 +0,0 @@
-From: Benjamin Mesing <bensmail at gmx.net>
-Date: Thu, 31 Oct 2013 17:55:40 +0100
-Subject: - modify, so palettes are stored within $HOME/.umlet/palettes
-FIXME: This patch is deactivated for the moment
-
----
- Baselet/src/com/baselet/control/Main.java | 61 +++++++++++++++++++++++++-
- Baselet/src/com/baselet/control/util/Path.java | 8 +++-
- 2 files changed, 67 insertions(+), 2 deletions(-)
-
-diff --git a/Baselet/src/com/baselet/control/Main.java b/Baselet/src/com/baselet/control/Main.java
-index d30dd7a..bc58241 100644
---- a/Baselet/src/com/baselet/control/Main.java
-+++ b/Baselet/src/com/baselet/control/Main.java
-@@ -52,6 +52,63 @@ import com.baselet.gui.standalone.StandaloneGUI;
-
- public class Main implements CanCloseProgram, CanOpenDiagram {
-
-+ // [begin BM-debianisation] file copy function
-+ private static void bm_copy(File inputFile, File outputFile) throws java.io.IOException {
-+ java.io.FileReader reader = new java.io.FileReader(inputFile);
-+ FileWriter writer = new FileWriter(outputFile);
-+ int character;
-+ while ((character = reader.read()) != -1)
-+ writer.write(character);
-+
-+ reader.close();
-+ writer.close();
-+ }
-+
-+ private static void bm_init() {
-+ // [begin BM-debianisation] create directory $HOME/.umlet to store settings in
-+ // a list of directories to be created
-+ List<String> bm_directories = new ArrayList();
-+ bm_directories.add(Path.userHome());
-+ bm_directories.add(Path.bm_userPaletteDir());
-+
-+
-+ for (String bm_dirName : bm_directories) {
-+ File bm_file = new File(bm_dirName);
-+ if (!bm_file.isDirectory())
-+ {
-+ if ( ! bm_file.mkdir() )
-+ {
-+ System.err.println("Unable to create " + bm_dirName);
-+ }
-+ }
-+ }
-+
-+ // copy all palette files to users umlet directory
-+ // that's probably not the best way of fixing things, but it
-+ // works non-disruptively
-+ // we cannot simply take the palettes directly from usr/... because
-+ // we have no write rights there (for editing them), therefore it
-+ // would be required to support multiple palette directories and
-+ // do some other quirks
-+ FileSystemView fileSystemView= FileSystemView.getFileSystemView();
-+ File[] paletteFiles= fileSystemView.getFiles(new File("/usr/share/umlet/palettes/"), false);
-+ List<File> palettes = new ArrayList<File>();
-+ for(File palette : paletteFiles) {
-+ if(palette.getName().endsWith(".uxf")) {
-+ String targetName = Path.bm_userPaletteDir() + palette.getName();
-+ File outputFile = new File(targetName);
-+ if (!outputFile.exists()) {
-+ try {
-+ bm_copy(palette, outputFile);
-+ } catch (java.io.IOException e) {
-+ System.err.println("Unable to copy palette file " + palette + " to " + targetName + "\nContinuing anyways.");
-+ }
-+ }
-+ }
-+ }
-+ }
-+ // [end BM-debianisation]
-+
- private static final Logger log = Logger.getLogger(Main.class);
-
- private static Main main = new Main();
-@@ -72,6 +129,7 @@ public class Main implements CanCloseProgram, CanOpenDiagram {
- initHomeProgramPath();
- main.initLogger();
- main.readManifestInfo();
-+ bm_init();
- ConfigHandler.loadConfig();
- tmp_file = Program.getInstance().getProgramName().toLowerCase() + ".tmp";
- tmp_read_file = Program.getInstance().getProgramName().toLowerCase() + "_1.tmp";
-@@ -438,7 +496,8 @@ public class Main implements CanCloseProgram, CanOpenDiagram {
- private List<File> scanForPalettes() {
- // scan palettes directory...
- FileSystemView fileSystemView = FileSystemView.getFileSystemView();
-- File[] paletteFiles = fileSystemView.getFiles(new File(Path.homeProgram() + "palettes/"), false);
-+ // [BM-debianisation] take paletes from local user dir to allow editing
-+ File[] paletteFiles = fileSystemView.getFiles(new File(Path.bm_userPaletteDir()), false);
- List<File> palettes = new ArrayList<File>();
- for (File palette : paletteFiles) {
- if (palette.getName().endsWith("." + Program.getInstance().getExtension())) {
-diff --git a/Baselet/src/com/baselet/control/util/Path.java b/Baselet/src/com/baselet/control/util/Path.java
-index f0f46dd..1231824 100644
---- a/Baselet/src/com/baselet/control/util/Path.java
-+++ b/Baselet/src/com/baselet/control/util/Path.java
-@@ -19,7 +19,8 @@ public class Path {
- return userHome() + File.separator + Program.getInstance().getConfigName();
- }
-
-- private static String userHome() {
-+ // bm_debianization: we need to create this directory, so make access public
-+ public static String userHome() {
- String homeDir = userHomeBase();
- if (!homeDir.endsWith(File.separator)) {
- homeDir += File.separator;
-@@ -50,6 +51,11 @@ public class Path {
- return homeProgram() + "custom_elements/";
- }
-
-+ // return user palette directory
-+ public static String bm_userPaletteDir() {
-+ return userHome() + "/palettes/";
-+ }
-+
- public static String temp() {
- if (tempDir == null) {
- String tmp = System.getProperty("java.io.tmpdir");
=====================================
debian/patches/javacc.patch
=====================================
@@ -1,3 +1,9 @@
+Description: invoking javacc through a special script we provide, as the
+ needed Maven plugin for javacc is not in Debian
+Author: Pierre Gruet <pgt at debian.org>
+Forwarded: not-needed
+Last-Update: 2024-10-28
+
--- a/umlet-elements/pom.xml
+++ b/umlet-elements/pom.xml
@@ -30,9 +30,9 @@
@@ -31,7 +37,7 @@
+ </goals>
+ <phase>generate-sources</phase>
+ <configuration>
-+ <executable>debian/javaccClearer</executable>
++ <executable>debian/after_javacc</executable>
+ </configuration>
+ </execution>
+ </executions>
=====================================
debian/patches/javaparser3.patch
=====================================
@@ -1,3 +1,9 @@
+Description: patching code to build against javaparser 3.x in Debian, upstream
+ expects version 2.x
+Author: Pierre Gruet <pgt at debian.org>
+Forwarded: https://github.com/umlet/umlet/issues/765
+Last-Update: 2024-10-28
+
--- a/umlet-swing/src/main/java/com/baselet/generator/java/jp/JpJavaClass.java
+++ b/umlet-swing/src/main/java/com/baselet/generator/java/jp/JpJavaClass.java
@@ -11,15 +11,15 @@
@@ -181,7 +187,7 @@
}
--- a/umlet-swing/pom.xml
+++ b/umlet-swing/pom.xml
-@@ -156,6 +156,24 @@
+@@ -154,6 +154,24 @@
<build>
<plugins>
=====================================
debian/patches/jlibeps_scope_provided.patch deleted
=====================================
@@ -1,18 +0,0 @@
---- a/umlet-swing/pom.xml
-+++ b/umlet-swing/pom.xml
-@@ -112,6 +112,8 @@
- <groupId>org.sourceforge.jlibeps</groupId>
- <artifactId>jlibeps</artifactId>
- <version>0.1</version>
-+ <scope>system</scope>
-+ <systemPath>/usr/share/java/net.sourceforge.jlibeps.jar</systemPath>
- </dependency>
- <dependency>
- <groupId>com.sun.mail</groupId>
-@@ -195,4 +197,4 @@
- </plugin>
- </plugins>
- </build>
--</project>
-\ No newline at end of file
-+</project>
=====================================
debian/patches/series
=====================================
@@ -1,5 +1,3 @@
0001-fix-Paths-to-work-for-debian-change-config-dir-from-.patch
-# 0002-modify-so-palettes-are-stored-within-HOME-.umlet-pal.patch
javacc.patch
-jlibeps_scope_provided.patch
javaparser3.patch
=====================================
debian/rules
=====================================
@@ -1,42 +1,16 @@
#!/usr/bin/make -f
# -*- makefile -*-
-VERSION_STRING=12.1
-VERSION_SHORT_STRING=12_1
-CONTENT_DIR="Umlet"
-
-JAVADIR=/usr/share/java
-export CLASSPATH=$(JAVADIR)/ecj.jar:$(JAVADIR)/batik-all.jar:$(JAVADIR)/fop.jar:$(JAVADIR)/log4j-1.2.jar:$(JAVADIR)/net.sourceforge.jlibeps.jar:$(JAVADIR)/javax.mail.jar:$(JAVADIR)/itext5.jar:$(JAVADIR)/jsyntaxpane.jar:$(JAVADIR)/rsyntaxtextarea.jar:$(JAVADIR)/autocomplete.jar:$(JAVADIR)/javaparser.jar:$(JAVADIR)/commons-io.jar:$(JAVADIR)/bcel.jar
-export JAVA_HOME=/usr/lib/jvm/default-java
-
-#export DH_VERBOSE=1
-
-
%:
dh $@ --with javahelper
-#override_dh_auto_build:
- ## FIXME: Deactivated old code dealing with eclipse plugin
- ##test -d eclipse-plugin-source || mkdir eclipse-plugin-source
- ### move unused source code out of the way
- ##mv Baselet/src/com/baselet/plugin/ eclipse-plugin-source/ || true
- ##mv Baselet/src/com/baselet/gui/eclipse/ eclipse-plugin-source/ || true
-
-# jh_build --no-javadoc --main=com.baselet.control.Main umlet.jar Baselet/src BaseletElements/src
-
-override_dh_clean:
- ### move unused source code back in
- ##mv eclipse-plugin-source/plugin/ Baselet/src/com/baselet/ || true
- ##mv eclipse-plugin-source/eclipse/ Baselet/src/com/baselet/gui/ || true
- ##rmdir eclipse-plugin-source || true
- rm -f umlet.jar
- jh_build --clean
- jh_clean
- dh_clean
+# Adding artificial Maven artifacts until #1085504 is solved
+execute_after_dh_auto_configure:
+ mkdir -p debian/maven-repo/org/sourceforge/jlibeps/
+ cp -a debian/org/sourceforge/jlibeps/jlibeps debian/maven-repo/org/sourceforge/jlibeps/
+ ln -s /usr/share/java/net.sourceforge.jlibeps.jar debian/maven-repo/org/sourceforge/jlibeps/jlibeps/debian/jlibeps-debian.jar
-override_dh_auto_install:
- dh_auto_install
- jh_manifest
- jh_depends
- jh_exec -v
- dh_strip_nondeterminism
+# Removing the Java code generated by javacc and put into the build tree
+execute_before_dh_auto_clean:
+ $(RM) -rf umlet-elements/src/main/java/com/baselet/element/sequence_aio/facet/specific
+ $(RM) -rf umlet-elements/src/main/java/com/baselet/element/facet/customdrawings/gen
=====================================
debian/scripts/umlet
=====================================
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+java -jar /usr/share/java/umlet-standalone.jar "$@"
=====================================
debian/umlet.desktop
=====================================
@@ -1,10 +1,13 @@
[Desktop Entry]
-Name=Umlet
+Version=1.1
+Type=Application
+Name=UMLet
GenericName=UML diagram editor
-Exec=umlet
+Comment=UML Tools for fast UML diagrams
+Icon=umlet_logo48
+TryExec=umlet
+Exec=umlet %u
Terminal=false
-Type=Application
-Icon=/usr/share/umlet/img/umlet_logo.png
Categories=Utility;Development;
StartupNotify=false
-Keywords=uml;
+Keywords=UML;diagrams;
=====================================
debian/umlet.doc-base
=====================================
@@ -0,0 +1,10 @@
+Document: umlet
+Title: Documentation files for umlet
+Author: umlet developers
+Abstract: These HTML files help one to get started with the software or to find
+ where to get help.
+Section: Programming
+
+Format: HTML
+Index: /usr/share/doc/umlet/html/startuphelp.html
+Files: /usr/share/doc/umlet/html/*.html
=====================================
debian/umlet.install
=====================================
@@ -1,7 +1,6 @@
-Baselet/palettes usr/share/umlet
-Baselet/custom_elements/*.java usr/share/umlet/custom_elements
-Baselet/html usr/share/umlet
-Baselet/img usr/share/umlet
-Baselet/META-INF usr/share/umlet
-umlet.jar usr/share/java
-debian/umlet.desktop /usr/share/applications/
\ No newline at end of file
+umlet-swing/target/palettes usr/share/umlet
+umlet-swing/target/custom_elements/*.java usr/share/umlet/custom_elements
+umlet-swing/target/classes/*.html usr/share/doc/umlet/html
+umlet-standalone/src/main/resources/umlet_logo48.png usr/share/icons/hicolor/48x48/apps
+debian/scripts/umlet usr/bin
+debian/umlet.desktop usr/share/applications/
=====================================
debian/umlet.links deleted
=====================================
@@ -1 +0,0 @@
-usr/share/java/umlet.jar usr/bin/umlet
=====================================
debian/umlet.lintian-overrides
=====================================
@@ -0,0 +1,2 @@
+# This is a codeless jar as the artifact is only meant to ship resource files.
+umlet: codeless-jar [usr/share/maven-repo/com/umlet/umlet-res/*/umlet-res-*.jar]
=====================================
debian/umlet.manifest
=====================================
@@ -1,4 +1,9 @@
-usr/share/java/umlet.jar:
- Bundle-Name: Umlet
- Bundle-Version: 13.3
- Bundle-Vendor: http://www.umlet.com
+usr/share/java/umlet-elements.jar:
+ Class-Path: /usr/share/java/slf4j-api.jar
+
+usr/share/java/umlet-standalone.jar:
+ Main-Class: com.baselet.standalone.MainStandalone
+ Class-Path: /usr/share/java/commons-io.jar /usr/share/java/slf4j-api.jar /usr/share/java/umlet-elements.jar /usr/share/java/umlet-swing.jar
+
+usr/share/java/umlet-swing.jar:
+ Class-Path: /usr/share/java/autocomplete.jar /usr/share/java/batik-dom.jar /usr/share/java/batik-svggen.jar /usr/share/java/bcel.jar /usr/share/java/eclipse-jdt-core.jar /usr/share/java/itext5.jar /usr/share/java/javax.mail-api.jar /usr/share/java/net.sourceforge.jlibeps.jar /usr/share/java/rsyntaxtextarea.jar /usr/share/java/javaparser-core.jar /usr/share/java/rhino.jar /usr/share/java/slf4j-api.jar /usr/share/java/umlet-elements.jar
=====================================
debian/umlet.poms
=====================================
@@ -28,12 +28,12 @@
pom.xml
umlet-eclipse-feature/pom.xml --ignore
umlet-eclipse-plugin/pom.xml --ignore
-umlet-eclipse-plugin-deps/pom.xml
+umlet-eclipse-plugin-deps/pom.xml --ignore
umlet-eclipse-p2/pom.xml
-umlet-elements/pom.xml
+umlet-elements/pom.xml --java-lib
umlet-gwt/pom.xml --ignore
umlet-res/pom.xml
-umlet-standalone/pom.xml
-umlet-swing/pom.xml
+umlet-standalone/pom.xml --java-lib
+umlet-swing/pom.xml --java-lib
umlet-vscode/pom.xml --ignore
umlet-web/pom.xml --ignore
View it on GitLab: https://salsa.debian.org/java-team/umlet/-/compare/036926f9199933c9804d27503e5b70157e3d3606...904dcc36bbbe60911900ce0bf559ec9d89811f6a
--
View it on GitLab: https://salsa.debian.org/java-team/umlet/-/compare/036926f9199933c9804d27503e5b70157e3d3606...904dcc36bbbe60911900ce0bf559ec9d89811f6a
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-java-commits/attachments/20241031/a08358a2/attachment.htm>
More information about the pkg-java-commits
mailing list